package cn.ibizlab.businesscentral.core.odoo_base_import.mapper;

import java.util.List;
import org.apache.ibatis.annotations.*;
import java.util.Map;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.core.conditions.Wrapper;
import java.util.HashMap;
import org.apache.ibatis.annotations.Select;
import cn.ibizlab.businesscentral.core.odoo_base_import.domain.Base_import_import;
import cn.ibizlab.businesscentral.core.odoo_base_import.filter.Base_import_importSearchContext;
import org.springframework.cache.annotation.CacheEvict;
import org.springframework.cache.annotation.Cacheable;
import java.io.Serializable;
import com.baomidou.mybatisplus.core.toolkit.Constants;
import com.alibaba.fastjson.JSONObject;

public interface Base_import_importMapper extends BaseMapper<Base_import_import>{

    Page<Base_import_import> searchDefault(IPage page, @Param("srf") Base_import_importSearchContext context, @Param("ew") Wrapper<Base_import_import> wrapper) ;
    @Override
    Base_import_import selectById(Serializable id);
    @Override
    int insert(Base_import_import entity);
    @Override
    int updateById(@Param(Constants.ENTITY) Base_import_import entity);
    @Override
    int update(@Param(Constants.ENTITY) Base_import_import entity, @Param("ew") Wrapper<Base_import_import> updateWrapper);
    @Override
    int deleteById(Serializable id);
     /**
      * 自定义查询SQL
      * @param sql
      * @return
      */
     @Select("${sql}")
     List<JSONObject> selectBySQL(@Param("sql") String sql, @Param("et")Map param);

    /**
    * 自定义更新SQL
    * @param sql
    * @return
    */
    @Update("${sql}")
    boolean updateBySQL(@Param("sql") String sql, @Param("et")Map param);

    /**
    * 自定义插入SQL
    * @param sql
    * @return
    */
    @Insert("${sql}")
    boolean insertBySQL(@Param("sql") String sql, @Param("et")Map param);

    /**
    * 自定义删除SQL
    * @param sql
    * @return
    */
    @Delete("${sql}")
    boolean deleteBySQL(@Param("sql") String sql, @Param("et")Map param);

    List<Base_import_import> selectByCreateUid(@Param("id") Serializable id) ;

    List<Base_import_import> selectByWriteUid(@Param("id") Serializable id) ;


}
